#include <stdio.h>
#include <algorithm>

using namespace std;

int poredak(int x,int y){
return x>y;
}

int a[1000000];
int b[1000000];

void razmeni(long int i,long int j){
    int c=a[i];
    a[i]=a[j];
    a[j]=c;
}

int main()
{
    long int n;
    scanf("%ld",&n);
    for(long int i=0;i<n;i++){
        scanf("%d",&a[i]);
        b[i]=a[i];
    }
    sort(b,b+n,poredak);
    long int i;

    for(i=0;i<n;i++){
        if(a[i]!=b[i]){
            break;
        }
    }
    if(i>=n-1){
        razmeni(n-1,n-2);
    }
    else{
    for(long int j=n-1;j>i;j--){
        if(a[j]==b[i]){
                razmeni(j,i);
            }
    }
    }
    for(long int k=0;k<n;k++){
        printf("%d ",a[k]);
    }
    return 0;
}